#!/usr/bin/python -tt

from setuptools import setup


__version__ = '2.4.0-alpha1'
__author__ = 'Ansible, Inc.'


setup(
    name='ansible',
    version=__version__,
    description='Radically simple IT automation',
    author=__author__,
    author_email='info@ansible.com',
    url='https://ansible.com/',
    project_urls={
        'Bug Tracker': 'https://github.com/ansible/ansible/issues',
        'CI: Shippable': 'https://app.shippable.com/github/ansible/ansible',
        'Code of Conduct': 'https://docs.ansible.com/ansible/latest/community/code_of_conduct.html',
        'Documentation': 'https://docs.ansible.com/ansible/',
        'Mailing lists': 'https://docs.ansible.com/ansible/latest/community/communication.html#mailing-list-information',
        'Source Code': 'https://github.com/ansible/ansible',
    },
    license='GPLv3+',
    python_requires='>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*',
    packages=['ansible_collections'],
    include_package_data=True,
    install_requires=[
        'ansible-base>=2.4.0-alpha1,<2.4.0',
        'amazon.aws>=0.1.1,<1.0.0',
        'ansible.netcommon>=0.0.3-dev8,<1.0.0',
        'ansible.posix>=0.1.1,<1.0.0',
        'ansible.windows>=0.0.1-beta.2,<1.0.0',
        'arista.eos>=0.0.3-dev8,<1.0.0',
        'awx.awx>=11.1.0,<12.0.0',
        'azure.azcollection>=0.1.2,<1.0.0',
        'check_point.mgmt>=1.0.4,<2.0.0',
        'chocolatey.chocolatey>=1.0.2,<2.0.0',
        'cisco.aci>=0.0.6,<1.0.0',
        'cisco.asa>=0.0.2-dev2,<1.0.0',
        'cisco.intersight>=1.0.5,<2.0.0',
        'cisco.ios>=0.0.3-dev8,<1.0.0',
        'cisco.iosxr>=0.0.3-dev8,<1.0.0',
        'cisco.meraki>=1.2.0,<2.0.0',
        'cisco.mso>=0.0.5,<1.0.0',
        'cisco.nxos>=0.0.3-dev8,<1.0.0',
        'cisco.ucs>=1.1.0,<2.0.0',
        'community.aws>=0.1.0,<1.0.0',
        'community.azure>=0.1.0,<1.0.0',
        'community.crypto>=0.1.0,<1.0.0',
        'community.general>=0.1.1,<1.0.0',
        'community.grafana>=0.2.2,<1.0.0',
        'community.kubernetes>=0.10.0,<1.0.0',
        'community.vmware>=0.4.1-dev4,<1.0.0',
        'containers.podman>=0.2.0,<1.0.0',
        'cyberark.bizdev>=1.0.13,<2.0.0',
        'dellemc_networking.os10>=1.0.2,<2.0.0',
        'f5networks.f5_modules>=1.2.1,<2.0.0',
        'fortinet.fortios>=1.0.7,<2.0.0',
        'frr.frr>=0.0.1-dev8,<1.0.0',
        'google.cloud>=0.0.9,<1.0.0',
        'ibm.qradar>=0.0.7,<1.0.0',
        'junipernetworks.junos>=0.0.3-dev24,<1.0.0',
        'netapp.aws>=20.2.0,<21.0.0',
        'netapp.elementsw>=20.2.0,<21.0.0',
        'netapp.ontap>=20.4.1,<21.0.0',
        'netbox.netbox>=0.2.0,<1.0.0',
        'openstack.cloud>=0.0.1-dev85,<1.0.0',
        'openvswitch.openvswitch>=0.0.1-dev8,<1.0.0',
        'purestorage.flasharray>=1.2.4,<2.0.0',
        'purestorage.flashblade>=1.2.1,<2.0.0',
        'servicenow.servicenow>=1.0.1,<2.0.0',
        'skydive.skydive>=0.0.1-dev6,<1.0.0',
        'splunk.enterprise_security>=0.0.5,<1.0.0',
        'theforeman.foreman>=0.8.0,<1.0.0',
        'vyos.vyos>=0.0.3-dev8,<1.0.0',
        'wti.remote>=1.0.1,<2.0.0'
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Natural Language :: English',
        'Operating System :: POSIX',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Topic :: System :: Installation/Setup',
        'Topic :: System :: Systems Administration',
        'Topic :: Utilities',
    ],
    data_files=[],
    # Installing as zip files would break due to references to __file__
    zip_safe=False
)